.TH xautolock l


.SH NAME

xautolock \- locks X display after a period of inactivity


.SH SYNOPSIS 

\fBxautolock\fR [\fB\-help\fR] [\fB\-version\fR] 
[\fB\-time\fR \fIminutes\fR] [\fB\-locker\fR \fIlocker\fR]
          [\fB\-notify \fImargin\fR] [\fB\-bell \fIpercent\fR]
[\fB\-corners\fR \fIxxxx\fR]
          [\fB\-cornerdelay\fR \fIsecs\fR]
[\fB\-cornersize\fR \fIpixels\fR] [\fB\-noclose\fR]
.br 


.SH DESCRIPTION 

When xautolock is started, it monitors the user activity on the
workstation. When no activity is detected within \fIminutes\fR
minutes, the screen is automatically locked, using the screen
locker specified with the \fI\-locker\fR option. xautolock is
capable of managing multiheaded displays.

In the presence of the \fI\-notify\fR option, a warning signal will
be issued \fImargin\fR seconds before starting the locker. The
\fI\-bell\fR option specifies the loudness of the signal in
\fIpercent\fR.

You can tell xautolock to take special actions when you move
the mouse into one of the corners of the display and leave it
there, by using the \fI\-corners\fR,
\fI\-cornerdelay\fR and \fI\-cornersize\fR
options. This works as follows :

The \fIxxxx\fR argument to the \fI\-corners\fR option must consist
of exactly 4 characters from the following set : '0', '+', '-'.
Each one of these specifies what xautolock should do when the mouse
enters a small square area located in each of the corners of the
screen. The corners are considered in the
following order : top left, top right, bottom left, bottom right.
A '0' indicates that xautolock should ignore the corner.
A '+' indicates that xautolock should start the \fIlocker\fR 
after \fIsecs\fR seconds, unless the mouse is moved, or keyboard
input is received. A '-' indicates that xautolock not start the
\fIlocker\fR at all. The \fIpixels\fR argument specifies the
size in pixels of the corner areas.

By default xautolock closes stdout and stderr. This prevents the
screenlocker from writing error messages to these files in case
you manually lock your display. The \fI\-noclose\fR option causes
xautolock not to close stdout and stderr. This can be used for
debugging.

You can also disable xautolock by sending it a SIGHUP
signal. When disabled, it will not attempt to start the
screenlocker. To re-enable it, send it another SIGHUP. This 
method is preferable to using SIGSTOP and SIGCONT, because
while SIGHUPped, xautolock will still be emptying its 
event queue.


.SH OPTIONS

.TP 14
\fB\-help\fR
Print a help message and exit.
.TP 
\fB\-version\fR
Print the version number and exit.
.TP 
\fB\-time\fR
Specifies the time-out interval. The default is 10 minutes,
the minimum is 1 minute and the maximum is 1 hour.
.TP 
\fB\-locker\fR
Specifies the screen locker to be used. The default is
"xlock 2>&- 1>&-". Your PATH is used to locate the program.
Notice that if \fIlocker\fR contains several words, it must
be specified between quotes.
.TP 
\fB\-notify\fR
Warn the user \fImargin\fR seconds before locking. The
default is not to warn the user.
.TP
\fB\-bell\fR
Specifies the loudness of the notification signal. The default
is 40 percent. This option is only usefull in conjunction with
\fI\-notify\fR.
.TP 
\fB\-corners\fR
Define special actions to be taken when the mouse
enters one of the corners of the display. The default is 0000,
which means that no special actions are taken.
.TP 
\fB\-cornerdelay\fR
Specifies the number of seconds to wait
before reacting to a '+' corner. The default is 5 seconds.
.TP 
\fB\-cornersize\fR
Specifies the size in pixels of the corner areas. The default is
10 pixels.
.TP 
\fB\-noclose\fR
Don't close stdout and stderr.


.SH RESOURCES

.TP 14
.B time 
Specifies the time out period.
.TP 14
.B locker 
Specifies the screen locker. No quotes are needed, even if
your screen locker command contains several words.
.TP 14
.B notify 
Specifies the notification margin.
.TP 14
.B bell 
Specifies the notification loudness.
.TP 14
.B corners 
Specifies the corner behaviour.
.TP 14
.B cornersize 
Specifies the size of the corner areas.
.TP 14
.B cornerdelay 
Specifies the delay of a '+' corner.
.TP 14
.B noclose 
Don't close stdout and stderr.

.TP 0
Resources can be specified in your \fI~/.Xdefaults\fR file either
for class \fIXautolock\fR, or for whatever name you renamed
xautolock to. For example : if you have two copies of xautolock,
one called "xfreeze", and one called "xmonitor", then both will
understand the following :

  Xautolock.corners: ++++

In addition, "xfreeze" will understand :

  xfreeze.cornersize: 10

while "xmonitor" will understand :

  xmonitor.cornersize: 5


.SH KNOWN\ BUGS 

xautolock does not check whether \fIlocker\fR is available.

The xautolock resources have no resource class. 


.SH COPYRIGHT

Copyright 1990, 1992 by S. De Troch and MCE.

Permission to use, copy, modify and distribute this software and the
supporting documentation without fee is hereby granted, provided that :

 1 : Both the above copyright notice and this permission notice
     appear in all copies of both the software and the supporting
     documentation.
 2 : You don't make a profit out of it.

THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO
EVENT SHALL THEY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA
OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.


.SH AUTHORS   

Stefan De Troch (detroch@imec.be),
Michel Eyckmans (eyckmans@imec.be).


.SH SPECIAL\ THANKS\ TO

Kris Croes (croes@imec.be).
